module tug

# https://discourse.julialang.org/t/how-to-write-a-macro-to-export-all-instances-of-an-enum-type/73137
macro exportinstances(enum)
    eval = GlobalRef(Core, :eval)
    return :($eval($__module__, Expr(:export, map(Symbol, instances($enum))...)))
end

include("tug/grid.jl")
include("tug/boundary.jl")
include("tug/core/utils.jl")
include("tug/core/btcs.jl")
include("tug/simulation.jl")

end
